Package org.drinkless.tdlib

# Class TdApi.ChatAdministratorRights

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatAdministratorRights

Enclosing class:
  `TdApi`

public static class TdApi.ChatAdministratorRights extends TdApi.Object
Describes rights of the administrator.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `canChangeInfo`
  True, if the administrator can change the chat title, photo, and other settings.
  `boolean`
  `canDeleteMessages`
  True, if the administrator can delete messages of other users.
  `boolean`
  `canDeleteStories`
  True, if the administrator can delete stories posted by other users; applicable to supergroups and channels only.
  `boolean`
  `canEditMessages`
  True, if the administrator can edit messages of other users and pin messages; applicable to channels only.
  `boolean`
  `canEditStories`
  True, if the administrator can edit stories posted by other users, post stories to the chat page, pin chat stories, and access story archive; applicable to supergroups and channels only.
  `boolean`
  `canInviteUsers`
  True, if the administrator can invite new users to the chat.
  `boolean`
  `canManageChat`
  True, if the administrator can access the chat event log, get boost list, see hidden supergroup and channel members, report supergroup spam messages, ignore slow mode, and send messages to the chat without paying Telegram Stars.
  `boolean`
  `canManageDirectMessages`
  True, if the administrator can answer to channel direct messages; applicable to channels only.
  `boolean`
  `canManageTags`
  True, if the administrator can change tags of other users; applicable to basic groups and supergroups only.
  `boolean`
  `canManageTopics`
  True, if the administrator can create, rename, close, reopen, hide, and unhide forum topics; applicable to forum supergroups only.
  `boolean`
  `canManageVideoChats`
  True, if the administrator can manage video chats.
  `boolean`
  `canPinMessages`
  True, if the administrator can pin messages; applicable to basic groups and supergroups only.
  `boolean`
  `canPostMessages`
  True, if the administrator can create channel posts, approve suggested channel posts, or view channel statistics; applicable to channels only.
  `boolean`
  `canPostStories`
  True, if the administrator can create new chat stories, or edit and delete posted stories; applicable to supergroups and channels only.
  `boolean`
  `canPromoteMembers`
  True, if the administrator can add new administrators with a subset of their own privileges or demote administrators that were directly or indirectly promoted by them.
  `boolean`
  `canRestrictMembers`
  True, if the administrator can restrict, ban, or unban chat members or view supergroup statistics.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isAnonymous`
  True, if the administrator isn't shown in the chat member list and sends messages anonymously; applicable to supergroups only.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatAdministratorRights()`
  Describes rights of the administrator.
  `ChatAdministratorRights(boolean canManageChat, boolean canChangeInfo, boolean canPostMessages, boolean canEditMessages, boolean canDeleteMessages, boolean canInviteUsers, boolean canRestrictMembers, boolean canPinMessages, boolean canManageTopics, boolean canPromoteMembers, boolean canManageVideoChats, boolean canPostStories, boolean canEditStories, boolean canDeleteStories, boolean canManageDirectMessages, boolean canManageTags, boolean isAnonymous)`
  Describes rights of the administrator.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### canManageChat

    public boolean canManageChat
    True, if the administrator can access the chat event log, get boost list, see hidden supergroup and channel members, report supergroup spam messages, ignore slow mode, and send messages to the chat without paying Telegram Stars. Implied by any other privilege; applicable to supergroups and channels only.

  - ### canChangeInfo

    public boolean canChangeInfo
    True, if the administrator can change the chat title, photo, and other settings.

  - ### canPostMessages

    public boolean canPostMessages
    True, if the administrator can create channel posts, approve suggested channel posts, or view channel statistics; applicable to channels only.

  - ### canEditMessages

    public boolean canEditMessages
    True, if the administrator can edit messages of other users and pin messages; applicable to channels only.

  - ### canDeleteMessages

    public boolean canDeleteMessages
    True, if the administrator can delete messages of other users.

  - ### canInviteUsers

    public boolean canInviteUsers
    True, if the administrator can invite new users to the chat.

  - ### canRestrictMembers

    public boolean canRestrictMembers
    True, if the administrator can restrict, ban, or unban chat members or view supergroup statistics.

  - ### canPinMessages

    public boolean canPinMessages
    True, if the administrator can pin messages; applicable to basic groups and supergroups only.

  - ### canManageTopics

    public boolean canManageTopics
    True, if the administrator can create, rename, close, reopen, hide, and unhide forum topics; applicable to forum supergroups only.

  - ### canPromoteMembers

    public boolean canPromoteMembers
    True, if the administrator can add new administrators with a subset of their own privileges or demote administrators that were directly or indirectly promoted by them.

  - ### canManageVideoChats

    public boolean canManageVideoChats
    True, if the administrator can manage video chats.

  - ### canPostStories

    public boolean canPostStories
    True, if the administrator can create new chat stories, or edit and delete posted stories; applicable to supergroups and channels only.

  - ### canEditStories

    public boolean canEditStories
    True, if the administrator can edit stories posted by other users, post stories to the chat page, pin chat stories, and access story archive; applicable to supergroups and channels only.

  - ### canDeleteStories

    public boolean canDeleteStories
    True, if the administrator can delete stories posted by other users; applicable to supergroups and channels only.

  - ### canManageDirectMessages

    public boolean canManageDirectMessages
    True, if the administrator can answer to channel direct messages; applicable to channels only.

  - ### canManageTags

    public boolean canManageTags
    True, if the administrator can change tags of other users; applicable to basic groups and supergroups only.

  - ### isAnonymous

    public boolean isAnonymous
    True, if the administrator isn't shown in the chat member list and sends messages anonymously; applicable to supergroups only.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatAdministratorRights

    public ChatAdministratorRights()
    Describes rights of the administrator.

  - ### ChatAdministratorRights

    public ChatAdministratorRights(boolean canManageChat, boolean canChangeInfo, boolean canPostMessages, boolean canEditMessages, boolean canDeleteMessages, boolean canInviteUsers, boolean canRestrictMembers, boolean canPinMessages, boolean canManageTopics, boolean canPromoteMembers, boolean canManageVideoChats, boolean canPostStories, boolean canEditStories, boolean canDeleteStories, boolean canManageDirectMessages, boolean canManageTags, boolean isAnonymous)
    Describes rights of the administrator.
    Parameters:
      `canManageChat` - True, if the administrator can access the chat event log, get boost list, see hidden supergroup and channel members, report supergroup spam messages, ignore slow mode, and send messages to the chat without paying Telegram Stars. Implied by any other privilege; applicable to supergroups and channels only.
      `canChangeInfo` - True, if the administrator can change the chat title, photo, and other settings.
      `canPostMessages` - True, if the administrator can create channel posts, approve suggested channel posts, or view channel statistics; applicable to channels only.
      `canEditMessages` - True, if the administrator can edit messages of other users and pin messages; applicable to channels only.
      `canDeleteMessages` - True, if the administrator can delete messages of other users.
      `canInviteUsers` - True, if the administrator can invite new users to the chat.
      `canRestrictMembers` - True, if the administrator can restrict, ban, or unban chat members or view supergroup statistics.
      `canPinMessages` - True, if the administrator can pin messages; applicable to basic groups and supergroups only.
      `canManageTopics` - True, if the administrator can create, rename, close, reopen, hide, and unhide forum topics; applicable to forum supergroups only.
      `canPromoteMembers` - True, if the administrator can add new administrators with a subset of their own privileges or demote administrators that were directly or indirectly promoted by them.
      `canManageVideoChats` - True, if the administrator can manage video chats.
      `canPostStories` - True, if the administrator can create new chat stories, or edit and delete posted stories; applicable to supergroups and channels only.
      `canEditStories` - True, if the administrator can edit stories posted by other users, post stories to the chat page, pin chat stories, and access story archive; applicable to supergroups and channels only.
      `canDeleteStories` - True, if the administrator can delete stories posted by other users; applicable to supergroups and channels only.
      `canManageDirectMessages` - True, if the administrator can answer to channel direct messages; applicable to channels only.
      `canManageTags` - True, if the administrator can change tags of other users; applicable to basic groups and supergroups only.
      `isAnonymous` - True, if the administrator isn't shown in the chat member list and sends messages anonymously; applicable to supergroups only.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR